cancel
Showing results for 
Search instead for 
Did you mean: 

USB Superspeed Peripherals

Anonymous
Not applicable

Guys,

   

There is a bug in the handling of the GPIO interrupts in the SDK 1.2.

   

You need a library patch to fix this issue. I don't think I can share the new SDK build with the fix here.

   

So, Please create a tech support case to get the new SDK build.

   

Also, there is going to be one patch release in days time.

   

 

   

Thanks,

   

sai krishna.

0 Likes
5 Replies
Anonymous
Not applicable

Hello Sai Krishna,

   

do you have more detailed information when the patch will be released? What means in days time?

   

thanks,

   

lumpi

0 Likes
Anonymous
Not applicable

Hi Lumpi,

   

Most probably in a day or two.

   

Thanks,

   

sai krishna.

0 Likes
Anonymous
Not applicable

Hi,

   

Is there any condition to satisfy to configure GPIO as valid rising/falling edge interrupts? If they are configured as High/Low level interrupts how long it should be in high/low level so that the interrupt is valid.

   

Thanks,

   

Kasthuri Rangan V

0 Likes
Anonymous
Not applicable

I am also observing the GPIO interrupt issues and I would appreciete an information when new SDK version will be available that fixes that bug.

   

Michal

0 Likes
Anonymous
Not applicable

SDK v1.2.1 is available on the following page:

   

http://www.cypress.com/?rID=57990

   

This one fixes the issues with GPIOs.

   

Thanks,

   

sai krishna.

0 Likes